'''
Constants for beamtools package

Created Thu Mar 23

@author: cpkmanchee
'''

from numpy import pi

c = 299792458.0             #Speed of light, m/s
h = 6.62607004081E-34       #Planck constant, J*s
hbar = 1.05457180013E-34    #Reduced Planck constant, J*s
e = 1.602176620898E-19      #Elementary charge, C
mu0 = pi*4E-7               #magnetic constant (permeability), N*A-2
eps0 = 1/(pi*4E-7*c**2)     #electric constant (permitivity), F*m-1
muB = 9.27400999457E-24     #Bohr magneton, J*T-1

me = 9.1093835611E-31       #electron mass, kg
mp = 1.67262189821E-27      #proton mass, kg

NA = 6.02214085774E23       #Avagodro's number
kB = 1.3806485279E-23       #Boltsmann constant, J*K-1

